imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: "@WebelopingLanderBundle/Resources/config/settings.yml" }

framework:
    #esi:             ~
    translator:      { fallback: "%locale%" }
    secret:          "%secret%"
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    form:            ~
    csrf_protection: ~
#    csrf_protection:
#        enabled:        false
        
    validation:      { enable_annotations: true }
    templating:
        engines: ['twig']
        #assets_version: SomeVersionScheme
    default_locale:  "%locale%"
    trusted_hosts:   ~
    trusted_proxies: ~
    session:
        # handler_id set to null will use default session handler from php.ini
        handler_id:  ~
    fragments:       ~
    http_method_override: true

# Twig Configuration
twig:
    debug:            "%kernel.debug%"
    strict_variables: "%kernel.debug%"
    globals:
        playerService: "@mql_player.player"
    form:
        resources:
            - 'WebelopingLanderBundle:Form:Theme/fields.html.twig'
monolog:
    handlers:
        main:
            type:   stream
            path:   "%kernel.logs_dir%/%kernel.environment%.log"
            level:  debug
        console:
            type:   console
            bubble: false

# Assetic Configuration
assetic:
    debug:          "%kernel.debug%"
    use_controller: false
    #java: /usr/bin/java
    ruby:           /usr/bin/ruby
    filters:
        cssrewrite: ~
        #closure:
        #    jar: "%kernel.root_dir%/Resources/java/compiler.jar"
        yui_css:
            jar: "%kernel.root_dir%/Resources/java/yuicompressor-2.4.8.jar"
        yui_js:
            jar: "%kernel.root_dir%/Resources/java/yuicompressor-2.4.8.jar"
        sass:
            bin: /usr/local/bin/sass
        compass:
            bin: /usr/local/bin/compass
            
# Doctrine Configuration
doctrine:
    dbal:
        driver:   "%database_driver%"
        host:     "%database_host%"
        port:     "%database_port%"
        dbname:   "%database_name%"
        user:     "%database_user%"
        password: "%database_password%"
        charset:  UTF8
        # if using pdo_sqlite as your database driver, add the path in parameters.yml
        # e.g. database_path: "%kernel.root_dir%/data/data.db3"
        # path:     "%database_path%"
        mapping_types:
            enum: string

        types:
            json: Sonata\Doctrine\Types\JsonType
        default_connection: default
        options: {1002: "SET div_precision_increment = 10"}

    orm:
        auto_generate_proxy_classes: "%kernel.debug%"
        auto_mapping: true
#        entity_managers:
#            default:
#                mappings:
##                    StofDoctrineExtensionsBundle: false
#                    FOSUserBundle: ~
#                    SonataUserBundle: ~
#                    USAnswerBundle: ~
#                    MQLPlayerBundle: ~
#                    MQLTrainingBundle: ~
#                    MQLGameBundle: ~
#                    MQLDialogBundle: ~
#                    MQLLibraryBundle: ~
#                    MQLPontificationBundle: ~
##                    ApplicationSonataUserBundle: ~
                    

# Swiftmailer Configuration
swiftmailer:
    transport: "%mailer_transport%"
    host:      "%mailer_host%"
    username:  "%mailer_user%"
    password:  "%mailer_password%"
    spool:     { type: memory }

#Al Fred Do
#sonata_block:
#    default_contexts: [cms]
#    blocks:
#        # Enable the SonataAdminBundle block
#        sonata.admin.block.admin_list:
#            contexts:   [admin]
#        # Your other blocks
#        sonata.user.block.menu:    # used to display the menu in profile pages
#        sonata.user.block.account: # used to display menu option (login option)
#        sonata.block.service.text: # used to if you plan to use Sonata user routes

sonata_user:
#    security_acl: true
    manager_type: orm # can be orm or mongodb


fos_user:
    db_driver:      orm # can be orm or odm
    firewall_name:  main
#    user_class:     Sonata\UserBundle\Entity\BaseUser
#    user_class:     Application\Sonata\UserBundle\Entity\User
    user_class:     MQL\PlayerBundle\Entity\User


    group:
#        group_class:   Sonata\UserBundle\Entity\BaseGroup
        group_class:   Application\Sonata\UserBundle\Entity\Group
        group_manager: sonata.user.orm.group_manager                    # If you're using doctrine orm (use sonata.user.mongodb.user_manager for mongodb)
        

    service:
        user_manager: sonata.user.orm.user_manager                      # If you're using doctrine orm (use sonata.user.mongodb.group_manager for mongodb)



#sonata_admin:
#    title:      LANDER ADMIN AREA
#    title_logo: img/logo_small.png
#    templates:
#        show:       AcmeDemoBundle:Admin:Display_Client.html.twig


#apy_data_grid:
#    theme: 'USAnswerBundle:DataGrid:basicGrid.html.twig'